{ nixpkgs, haskellPackages }:

let jsaddle = nixpkgs.fetchFromGitHub {
  owner = "ghcjs";
  repo = "jsaddle";
  rev = "68208be806c49a2a0c9f037dfac85feae10a8c80";
  sha256 = "0acj0x716ikfb08ndib36jmwxkwq399lvkip46sfkh1ynn0pvc1c";
};

in

(import ./project.nix nixpkgs) {
  packages = {
    common = ./common;
    backend = ./backend;
    frontend = ./frontend;
  };
  overrides = self: super: {
    generic-lens = nixpkgs.haskell.lib.dontCheck super.generic-lens;
    jsaddle-warp = nixpkgs.haskell.lib.dontCheck (super.callPackage (jsaddle + "/jsaddle-warp") {});
    jsaddle = super.callPackage (jsaddle + "/jsaddle") {};
  };
  tools = with haskellPackages; [
    ghcid
    hasktags
  ];
}
